aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSteven Moreland <smoreland@google.com>2022-06-02 17:21:30 +0000
committerSteven Moreland <smoreland@google.com>2022-06-07 17:49:46 +0000
commit4d4b5802fd1e1cf1b858a00d884b5cfd65c4a04c (patch)
tree0418af24e33899b3183b3ddeff25fa388337ab4b
parent3eb3ca0c9bd42c844597e3a65a05bf11d24eabf1 (diff)
downloadbuild-4d4b5802fd1e1cf1b858a00d884b5cfd65c4a04c.tar.gz
finalize_branch_for_release.sh: avoid envsetup.sh
Avoid envsetup.sh, which is configuring the environment in a way that breaks builds on the build servers. This exposes an issue with the AIDL freeze that was lost in the meantime. Bug: 234734342 Test: (run script, there is an audio failure) Change-Id: Ic2888fb316d295a06f465f33d3a6f348a65c30a5
-rwxr-xr-xfinalize_branch_for_release.sh42
1 files changed, 23 insertions, 19 deletions
diff --git a/finalize_branch_for_release.sh b/finalize_branch_for_release.sh
index c942eb2e54..12b096fa5d 100755
--- a/finalize_branch_for_release.sh
+++ b/finalize_branch_for_release.sh
@@ -1,30 +1,34 @@
#!/bin/bash
-set -e
+set -ex
-source "$(dirname "$0")"/envsetup.sh
+function finalize_main() {
+ local top="$(dirname "$0")"/../..
-# default target to modify tree and build SDK
-lunch aosp_arm64-userdebug
+ # default target to modify tree and build SDK
+ local m="$top/build/soong/soong_ui.bash --make-mode TARGET_PRODUCT=aosp_arm64 TARGET_BUILD_VARIANT=userdebug"
-set -x
+ # This script is WIP and only finalizes part of the Android branch for release.
+ # The full process can be found at (INTERNAL) go/android-sdk-finalization.
-# This script is WIP and only finalizes part of the Android branch for release.
-# The full process can be found at (INTERNAL) go/android-sdk-finalization.
+ # VNDK snapshot (TODO)
+ # SDK snapshots (TODO)
+ # Update references in the codebase to new API version (TODO)
+ # ...
-# VNDK snapshot (TODO)
-# SDK snapshots (TODO)
-# Update references in the codebase to new API version (TODO)
-# ...
+ AIDL_TRANSITIVE_FREEZE=true $m aidl-freeze-api
-AIDL_TRANSITIVE_FREEZE=true m aidl-freeze-api
+ # Update new versions of files. See update-vndk-list.sh (which requires envsetup.sh)
+ $m check-vndk-list || \
+ { cp $top/out/soong/vndk/vndk.libraries.txt $top/build/make/target/product/gsi/current.txt; }
-m check-vndk-list || update-vndk-list.sh # for new versions of AIDL interfaces
+ # for now, we simulate the release state for AIDL, but in the future, we would want
+ # to actually turn the branch into the REL state and test with that
+ AIDL_FROZEN_REL=true $m nothing # test build
-# for now, we simulate the release state for AIDL, but in the future, we would want
-# to actually turn the branch into the REL state and test with that
-AIDL_FROZEN_REL=true m # test build
+ # Build SDK (TODO)
+ # lunch sdk...
+ # m ...
+}
-# Build SDK (TODO)
-# lunch sdk...
-# m ...
+finalize_main